
From: "David S. Miller" <davem@redhat.com>

add_kallsyms() doesn't exist if !CONFIG_KALLSYMS.


 kernel/module.c |    2 ++
 1 files changed, 2 insertions(+)

diff -puN kernel/module.c~kallsyms-build-fix kernel/module.c
--- 25/kernel/module.c~kallsyms-build-fix	2003-06-07 01:41:16.000000000 -0700
+++ 25-akpm/kernel/module.c	2003-06-07 01:41:16.000000000 -0700
@@ -1606,7 +1606,9 @@ static struct module *load_module(void _
 	if (err < 0)
 		goto cleanup;
 
+#ifdef CONFIG_KALLSYMS
 	add_kallsyms(mod, sechdrs, symindex, strindex, secstrings);
+#endif
 
 	mod->args = args;
 	if (obsparmindex) {

_
